Package ru.bitel.oss.systems.inventory.resource.common.bean

# Class DeviceGroup

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.systems.inventory.resource.common.bean.DeviceGroup

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`, `TreeNode<DeviceGroup>`

public class DeviceGroup extends IdTitle implements TreeNode<DeviceGroup>

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `GROUP_ACCESS`
  `static final int`
  `GROUP_ACCOUNTING`
  `static final int`
  `GROUP_NAS`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DeviceGroup()`
  `DeviceGroup(int id, String title)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<DeviceGroup>`
  `getChildren()`
  `int`
  `getCityId()`
  `String`
  `getComment()`
  `int`
  `getParentId()`
  `void`
  `setChildren(List<DeviceGroup> children)`
  `void`
  `setCityId(int cityId)`
  `void`
  `setComment(String comment)`
  `void`
  `setParentId(int parentId)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Field Details

  - ### GROUP_ACCESS

    public static final int GROUP_ACCESS
    See Also:
      - Constant Field Values

  - ### GROUP_ACCOUNTING

    public static final int GROUP_ACCOUNTING
    See Also:
      - Constant Field Values

  - ### GROUP_NAS

    public static final int GROUP_NAS
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DeviceGroup

    public DeviceGroup()

  - ### DeviceGroup

    public DeviceGroup(int id, String title)

- ## Method Details

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### getCityId

    public int getCityId()

  - ### setCityId

    public void setCityId(int cityId)

  - ### getParentId

    public int getParentId()

  - ### setParentId

    public void setParentId(int parentId)

  - ### getChildren

    public List<DeviceGroup> getChildren()
    Specified by:
      `getChildren` in interface `TreeNode<DeviceGroup>`

  - ### setChildren

    public void setChildren(List<DeviceGroup> children)